Bug 42387 - UCS 3.3: UMC - make automatic substring search in UDM module configurable
UCS 3.3: UMC - make automatic substring search in UDM module configurable
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 3.3
Other Linux
: P5 normal (vote)
: UCS 3.3-0-errata
Assigned To: Florian Best
Alexander Kläser
:
Depends on: 37904 42181
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-14 12:40 CEST by Florian Best
Modified: 2016-09-29 17:30 CEST (History)
7 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.046
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): External feedback, Large environments, Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2016-09-14 12:40:30 CEST
Merge to UCS 3.3
+++ This bug was initially created as a clone of Bug #42181 +++

(in UCS 3.X) UMC assumes all searches as subtring. 

(in UCS 4.1) In Bug #37904 EQ search is added to the default search filter. 

For simple purposes, a backport to UCS 3.X of Bug #37904 is enough, but I would add options so that the user can specify the form of search they desire (eg: according to the indices they have defined in slapd.conf) and not only EQ and SUBSTR.



+++ This bug was initially created as a clone of Bug #37904 +++

Noted during a technical training: It's not possible to search by GID: 

- Open the "Groups" module in the UMC
- Select "Advanced Options" and the property "Group ID"
- Enter thr GID of an existing group (e.g. 5001 which is usually Domain Users")

-> No result in found.
Comment 1 Florian Best univentionstaff 2016-09-14 12:48:07 CEST
univention-management-console-module-udm (4.0.99-11):
r72573 | Bug #42387: make wildcard and substring search configurable

univention-management-console-module-udm.yaml:
r72574 | YAML Bug #42385 Bug #42387
Comment 2 Alexander Kläser univentionstaff 2016-09-20 10:36:30 CEST
Just note that the wrong bug number has been referenced in the debian changelog:

"Bug #42181: make wildcard and substring search configurable"

Changes: OK
YAML file: OK, correct bug number here

→ VERIFIED
Comment 3 Janek Walkenhorst univentionstaff 2016-09-22 15:36:18 CEST
<http://errata.software-univention.de/ucs/3.3/15.html>